+++
title = "EllipsoidalSegment"
+++

### EllipsoidalSegment

A horizontally truncated ellipsoid.

<img src="/img/draw/ff/3d/EllipsoidalSegment.png" width="30%" >
<img src="/img/draw/ff/2d/EllipsoidalSegment_xy.svg" width="30%">
<img src="/img/draw/ff/2d/EllipsoidalSegment_xz.svg" width="30%">

#### Constructor

```python
EllipsoidalSegment(R_x, R_y, R_z, t, b)
```

Parameters:
- R_x, radius $R_{x}$ in $x$ direction
- R_y, radius $R_{y}$ in $y$ direction
- R_z, radius $R_{z}$ in $z$ direction
- $ t $, cut from top
- $ b $, cut from bottom

#### Usage

As for any other [Form factor](/ref/sample/particle/ff).

#### Implementation

Class {{% ref-class "Sample/HardParticle" "EllipsoidalSegment" %}} inherits from the interface class
{{% ref-class "Sample/Particle" "Formfactor" %}}.

Computation involves numerical integration in vertical direction,

$$ F(\mathbf{q})=2\pi \exp\[iq_z(R_z-b)\]  \int_{-R_z+b}^{R_z-t} \text{d}z \space r_{x,z} r_{y,z} \frac{J_1(\gamma_{z})}{\gamma_{z}}  \thinspace \exp(iq_z z) , $$

with the notation 

$$ r_{x,z}:=R_{x}\sqrt{1-\Big( \dfrac{z}{R_z} \Big)^2}, \quad r_{y,z}:=R_{y}\sqrt{1-\Big( \dfrac{z}{R_z} \Big)^2}, $$ 

$$ \quad \gamma_{z} := \sqrt{(q_xr_{x,z})^2 + (q_yr_{y,z})^2}. $$

Volume [has been validated]({{% url-src %}}/Tests/Unit/Sample/FormfactorBasicTest.cpp)
against
$$ V=\dfrac{\pi}{3} \frac{R_{x}R_{y}}{R_z^2} \[ 4R_z^3 - 3R_z(t^2+b^2) + (t^3 + b^3) \]. $$

#### Related shapes

More special truncated shapes:

- [SpheroidalSegment](/ref/sample/particle/ff/hard/spheroidalsegment), if $R_x=R_y$.
- [SphericalSegment](/ref/sample/particle/ff/hard/sphericalsegment), if $R_x=R_y=R_z$.

More special full shapes, if $t=b=0$:

- [Ellipsoid](/ref/sample/particle/ff/hard/ellipsoid)
- [Spheroid](/ref/sample/particle/ff/hard/spheroid)
- [Sphere](/ref/sample/particle/ff/hard/sphere)
  
#### Example

Scattering by uncorrelated, oriented truncated ellipsoids for horizontal incidence. Rotation around $z$ axis:

<img src="/img/auto/ff/EllipsoidalSegment.png">

Generated by {{% ref-ex "sas/sas-ff.py" %}} (`particle_geometry=EllipsoidalSegment`).

#### History

Up to v23 the formfactor "HemiEllipsoid" was used, which agreed with the IsGISAXS form factor "Anisotropic hemi-ellipsoid" [Lazzari, IsGISAXS manual v2.6 (2006)](http://www.insp.upmc.fr/oxydes/IsGISAXS/figures/doc/manual.html), Eq. 2.41 with wrong sign in the z-dependent phase factor and "Hemi-spheroid" [Renaud et al, Surf Sci Rep 64, 255 (2009)](https://doi.org/10.1016/j.surfrep.2009.07.002), Eq. 229.
